function startHls(strURLSave, strVideo) {
  let hls = new Hls();
  hls.loadSource(document.getElementById(strURLSave).value);
  hls.attachMedia(document.getElementById(strVideo));
  hls.on(Hls.Events.ERROR, function (event, data) {
    if (data.fatal) {
      switch(data.type) {
      case Hls.ErrorTypes.NETWORK_ERROR:
        // try to recover network error
        console.log("fatal network error encountered, try to recover");
        setTimeout(() => hls.startLoad(), 1000);
        break;
      case Hls.ErrorTypes.MEDIA_ERROR:
        console.log("fatal media error encountered, try to recover");
        hls.recoverMediaError();
        break;
      default:
        // cannot recover
        hls.destroy();
        break;
      }
    }
  });
}